plugins {
    id 'com.android.application'
}

android {
    compileSdk 31
    defaultConfig {
        applicationId "com.tomastc.bta500"
        minSdkVersion 24
        targetSdkVersion 31
        versionCode 3
        versionName "1.6.6"
        /**
         * Changed Notes
         * ===================================================================
         *
         * Version 1.4.0 : 2023-05-09
         * Author: Kittisak Isarapongporn
         * Email: kittisak.i@tomastc.com
         * Description: Add new function for Component Detail
         *
         * v.1.4.1 : 2023-05-30
         * - Fix some bugs
         *
         * v.1.4.2 : 2023-06-22, Kittisak
         * - Fix the program referred to Test_result_from_user_202300616.xls(Component detail)
         *
         * v.1.4.3 : 2023-06-27, Kittisak
         * - Add an error code <ERROR_CD> column to NstErrorLog and its participated source code
         *
         * v.1.4.4 : 2023-06-29, Kittisak
         * - Create new record in table NST_TRACE_TRANS for non priority items (PRIORITY_FLAG=0)
         * - Change character color on "Check Progress" screen
         * - Change numeric format as 2 decimal points and comma display.
         *
         * v.1.4.5 : 2023-07-06, Kittisak
         * - Get and record label print datetime to NST_TRACE_TRANS.
         * - User requests adding new column "LABELPRINT_DATE" on NST_TRACE_TRANS.
         *
         * v.1.4.6 : 2023-07-17, Kittisak
         * - Add labelprint_date as key of table NST_TRACE_TRANS. It has been affected on get-last-trace-trans api function.
         *
         */

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    android {
        lintOptions {
            baseline file("lint-baseline.xml")
        }
    }


    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

dependencies {

    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'com.google.android.material:material:1.3.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    implementation files('libs/sdk.jar')
    implementation files('libs/commons-net-3.8.0.jar')
    implementation 'org.jetbrains:annotations:15.0'
    testImplementation 'junit:junit:4.+'
    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
}